I've read many blogs here, and upsolving is always mentioned as one of the best ways to improve. I try to solve problems after contests, but I feel like I’m not making the most out of it.
How do you approach upsolving? What helped you the most in getting better at problem-solving over time?








Have you tried cses? Do you practice 1000 or 1100 rated problems? I can see that you are not able to solve div4 c d or div3 b c. These are mostly implementation based problems. Try to make your grasp on STL stronger. Try to solve problems using sets, maps, stacks etc. I think if you do this much you will see upgrade in you soon.
Read the editorial one sentence at a time until it mentions something that you didn't think of. Spend some time digesting the new information and try to solve the problem from there. If you still can't solve it, go back to the editorial. Repeat until you know how to come up with the solution on your own and can explain why it works. Then come back to the problem after a couple of weeks (or however long it takes you to forget the solution) and try to come up with the solution on your own.
If you read the editorial and nothing makes sense, work on easier problems.
according to your issue i notice that after contest ur able to solve the contest problems that means
-> You need to improve handling the time pressure properly
-> Try using the shortest methods possible like use of STL, and practice different approaches and algos and replicate them to other problems for example ur solving binary search u need to actually be able to replicate it other problems related to binary search
and dont forget to read good code and not panik during your contests and dont stop if ur one solution is wrong
Thanks for the advice! Since I struggle with 900+ rated problems, what specific topics should I focus on first to improve? Are there any fundamental concepts or problem types that helped you when you were at this level?
i solved one sheet its called TLE eliminators they really give 800 — 1900 resuable concepts of handful problem approx 31 each level you can try that and its also and how fast you do that